//
// $Header: /b11/dmb/SWIG/SWIG1.0/swig_lib/RCS/math.i,v 1.1 1996/05/22 17:27:01 beazley Exp $
//
// math.i
// Dave Beazley
// March 24, 1996
// SWIG file for floating point operations
//
/* Revision history
 * $Log: math.i,v $
 * Revision 1.1  1996/05/22 17:27:01  beazley
 * Initial revision
 *
 */

%{
#include <math.h>
%}

/* Some useful constants */
#define M_E		2.7182818284590452354
#define M_LOG2E		1.4426950408889634074
#define M_LOG10E	0.43429448190325182765
#define M_LN2		0.69314718055994530942
#define M_LN10		2.30258509299404568402
#define M_PI		3.14159265358979323846
#define M_PI_2		1.57079632679489661923
#define M_PI_4		0.78539816339744830962
#define M_1_PI		0.31830988618379067154
#define M_2_PI		0.63661977236758134308
#define M_2_SQRTPI	1.12837916709551257390
#define M_SQRT2		1.41421356237309504880
#define M_SQRT1_2	0.70710678118654752440

extern double	acos(double);
extern double	asin(double);
extern double	atan(double);
extern double	atan2(double, double);
extern double	cos(double);
extern double	sin(double);
extern double	tan(double);
extern double	cosh(double);
extern double	sinh(double);
extern double	tanh(double);
extern double	exp(double);
extern double	log(double);
extern double	log10(double);
extern double	ldexp(double, int);
extern double	pow(double, double);
extern double	sqrt(double);
extern double	ceil(double);
extern double	fabs(double);
extern double	floor(double);
extern double	fmod(double, double);
extern double	atof(const char *);
